#include<iostream>
using namespace std;
main(){
int a, b, x, y;
/*a, b-spojlovan rezultat
x,y-trenutni rezutat
*/
cin>>a>>b>>x>>y;
if(a>x&&b>y){ cout<<"?";}
else if(a==x&& b>y) cout<<"drugi";
else if(a>x&&b==y) cout<<"prvi";
else cout<<"nijedan";
}